Bug 578147 (CVE-2010-0174) - CVE-2010-0174 Mozilla crashes with evidence of memory corruption
Summary: CVE-2010-0174 Mozilla crashes with evidence of memory corruption
Status: CLOSED ERRATA
Alias: CVE-2010-0174
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100330,reported=20100316,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-30 12:12 UTC by Josh Bressers
Modified: 2019-06-08 12:58 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-12 21:47:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0332 normal SHIPPED_LIVE Critical: firefox security update 2010-03-30 23:28:54 UTC
Red Hat Product Errata RHSA-2010:0333 normal SHIPPED_LIVE Critical: seamonkey security update 2010-03-30 23:04:21 UTC
Red Hat Product Errata RHSA-2010:0544 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-07-21 01:39:35 UTC
Red Hat Product Errata RHSA-2010:0545 normal SHIPPED_LIVE Critical: thunderbird security update 2010-07-21 01:18:47 UTC

Description Josh Bressers 2010-03-30 12:12:46 UTC
Mozilla developers identified and fixed several stability bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these crashes showed evidence of memory corruption under certain
circumstances and we presume that with enough effort at least some of these
could be exploited to run arbitrary code.

Jesse Ruderman and Ehsan Akhgari reported crashes which affected all
supported versions of the browser engine.

Comment 1 Josh Bressers 2010-03-30 20:46:23 UTC
This is now public
http://www.mozilla.org/security/announce/2010/mfsa2010-16.html

Comment 2 errata-xmlrpc 2010-03-30 23:04:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2010:0333 https://rhn.redhat.com/errata/RHSA-2010-0333.html

Comment 3 errata-xmlrpc 2010-03-30 23:28:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2010:0332 https://rhn.redhat.com/errata/RHSA-2010-0332.html

Comment 4 Fedora Update System 2010-03-31 08:12:10 UTC
epiphany-extensions-2.26.1-11.fc11,yelp-2.26.0-12.fc11,google-gadgets-0.11.1-6.fc11,perl-Gtk2-MozEmbed-0.08-6.fc11.10,Miro-2.5.4-3.fc11,mozvoikko-0.9.7-0.12.rc1.fc11,kazehakase-0.5.8-5.fc11.1,gnome-python2-extras-2.25.3-12.fc11,galeon-2.0.7-22.fc11,hulahop-0.4.9-13.fc11,gnome-web-photo-0.7-11.fc11,evolution-rss-0.1.4-11.fc11,chmsee-1.0.1-16.fc11,blam-1.8.5-19.fc11,epiphany-2.26.3-9.fc11,pcmanx-gtk2-0.3.9-4.20100222svn.fc11,firefox-3.5.9-1.fc11,xulrunner-1.9.1.9-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/epiphany-extensions-2.26.1-11.fc11,yelp-2.26.0-12.fc11,google-gadgets-0.11.1-6.fc11,perl-Gtk2-MozEmbed-0.08-6.fc11.10,Miro-2.5.4-3.fc11,mozvoikko-0.9.7-0.12.rc1.fc11,kazehakase-0.5.8-5.fc11.1,gnome-python2-extras-2.25.3-12.fc11,galeon-2.0.7-22.fc11,hulahop-0.4.9-13.fc11,gnome-web-photo-0.7-11.fc11,evolution-rss-0.1.4-11.fc11,chmsee-1.0.1-16.fc11,blam-1.8.5-19.fc11,epiphany-2.26.3-9.fc11,pcmanx-gtk2-0.3.9-4.20100222svn.fc11,firefox-3.5.9-1.fc11,xulrunner-1.9.1.9-1.fc11

Comment 5 Fedora Update System 2010-03-31 08:14:26 UTC
Miro-2.5.4-3.fc12,galeon-2.0.7-22.fc12,gnome-python2-extras-2.25.3-17.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.12,gnome-web-photo-0.9-6.fc12,mozvoikko-1.0-9.fc12,firefox-3.5.9-1.fc12,xulrunner-1.9.1.9-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/Miro-2.5.4-3.fc12,galeon-2.0.7-22.fc12,gnome-python2-extras-2.25.3-17.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.12,gnome-web-photo-0.9-6.fc12,mozvoikko-1.0-9.fc12,firefox-3.5.9-1.fc12,xulrunner-1.9.1.9-1.fc12

Comment 6 Fedora Update System 2010-03-31 08:22:00 UTC
thunderbird-3.0.4-1.fc11,sunbird-1.0-0.16.20090715hg.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/thunderbird-3.0.4-1.fc11,sunbird-1.0-0.16.20090715hg.fc11

Comment 7 Fedora Update System 2010-03-31 08:25:33 UTC
thunderbird-3.0.4-1.fc13,sunbird-1.0-0.21.20090916hg.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/thunderbird-3.0.4-1.fc13,sunbird-1.0-0.21.20090916hg.fc13

Comment 8 Fedora Update System 2010-03-31 08:25:33 UTC
thunderbird-3.0.4-1.fc12,sunbird-1.0-0.21.20090916hg.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/thunderbird-3.0.4-1.fc12,sunbird-1.0-0.21.20090916hg.fc12

Comment 9 Fedora Update System 2010-04-01 01:44:39 UTC
Miro-2.5.4-3.fc12, galeon-2.0.7-22.fc12, gnome-python2-extras-2.25.3-17.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.12, gnome-web-photo-0.9-6.fc12, mozvoikko-1.0-9.fc12, firefox-3.5.9-1.fc12, xulrunner-1.9.1.9-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-04-01 01:48:16 UTC
epiphany-extensions-2.26.1-11.fc11, yelp-2.26.0-12.fc11, google-gadgets-0.11.1-6.fc11, perl-Gtk2-MozEmbed-0.08-6.fc11.10, Miro-2.5.4-3.fc11, mozvoikko-0.9.7-0.12.rc1.fc11, kazehakase-0.5.8-5.fc11.1, gnome-python2-extras-2.25.3-12.fc11, galeon-2.0.7-22.fc11, hulahop-0.4.9-13.fc11, gnome-web-photo-0.7-11.fc11, evolution-rss-0.1.4-11.fc11, chmsee-1.0.1-16.fc11, blam-1.8.5-19.fc11, epiphany-2.26.3-9.fc11, pcmanx-gtk2-0.3.9-4.20100222svn.fc11, firefox-3.5.9-1.fc11, xulrunner-1.9.1.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-01 01:52:42 UTC
thunderbird-3.0.4-1.fc11, sunbird-1.0-0.16.20090715hg.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-01 01:54:48 UTC
thunderbird-3.0.4-1.fc12, sunbird-1.0-0.21.20090916hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-01 17:18:21 UTC
thunderbird-3.0.4-1.fc13, sunbird-1.0-0.21.20090916hg.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-02 19:38:28 UTC
seamonkey-2.0.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/seamonkey-2.0.4-1.fc12

Comment 15 Fedora Update System 2010-04-02 19:39:40 UTC
seamonkey-2.0.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/seamonkey-2.0.4-1.fc13

Comment 16 Fedora Update System 2010-04-03 04:34:29 UTC
seamonkey-2.0.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-09 04:12:31 UTC
seamonkey-2.0.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 errata-xmlrpc 2010-07-21 01:19:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0545 https://rhn.redhat.com/errata/RHSA-2010-0545.html

Comment 19 errata-xmlrpc 2010-07-21 01:39:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0544 https://rhn.redhat.com/errata/RHSA-2010-0544.html


Note You need to log in before you can comment on or make changes to this bug.